Fill Regular Invoice with Client Info
This endpoint fills a regular invoice with client's info — email address and payment asset (if not pre-defined by merchant during creation).
/api/invoices/v1/regular/%invoice_id%/proceedAuth: OptionalAuthorization is not required as the invoice is provided to a non-registered client and uses their email to identify the person as an invoice payee.
Request Body
clientEmailstringRequiredClient's email. Should meet standard email format.
paymentCurrencystringRequiredAsset name + network the client wants to pay with. Values: btc, eth, trc20usdt, usdterc20, sol, ton, usdc, bnb, ltc, trx, bch. Ignored if paymentCurrency was previously provided during invoice creation or its value was null.
Additional Response Fields
Fields available after the invoice is filled (not available for "Created" status):
clientEmailstringClient's email.
addressobjectPayment address: id, address, tag (null if not TON), asset.
paymentDetailsobjectPayment details object.
expiredAtstringInvoice expiration time. 30 min for all assets, 120 min for BTC.